/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig

#######################################################################################*/

#include "main.h"
#include "uart.h"

//############################################################################
//Routine fr die serielle Ausgabe
int uart_putchar (char c)
//############################################################################
{
	if (c == '\n')	uart_putchar('\r');
	loop_until_bit_is_set(USR, UDRE);	//Warten bis das Zeichen gesendet wurde
	UDR = c;							//Ausgabe des Zeichens
	return (0);
}

//############################################################################
//Installation der seriellen Schnittstelle
void UART_Init (void)
//############################################################################
{
	UCR=(1 << TXEN);							// TX-Data Enable im Register UCR 
	UBRR=(SYSCLK / (BAUD_RATE * 16L) - 1);	// Teiler setzen
	fdevopen (uart_putchar, NULL, 0);			// einen Kanal fr printf (STDOUT) ffnen
}

